Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(75)

Issue 214250043: Decrease space between vertical beams by length-fraction.

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 years, 1 month ago by hanwenn
Modified:
3 years, 11 months ago
Reviewers:
Visibility:
Public.

Description

Decrease space between vertical beams by length-fraction. This causes 16th and higher grace beams to be closer together. Thanks to Daniel Spreadbury for noting this in blog, http://blog.steinberg.net/2015/03/development-diary-part-10/

Patch Set 1 #

Patch Set 2 : comment #

Patch Set 3 : another try #

Total comments: 1

Patch Set 4 : fix regression in grace-start.ly #

Patch Set 5 : fix regression in grace-start.ly #

Patch Set 6 : fix regression in grace-start.ly #

Patch Set 7 : fix regression #

Patch Set 8 : fix stem length regressions #

Patch Set 9 : also handle length-fraction > 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+40 lines, -18 lines) Patch
M lily/beam.cc View 1 2 3 4 5 6 7 1 chunk +7 lines, -5 lines 0 comments Download
M lily/beam-quanting.cc View 1 2 3 4 5 6 7 8 8 chunks +33 lines, -13 lines 0 comments Download

Messages

Total messages: 30
hanwenn
comment
4 years, 1 month ago (2015-03-14 14:51:55 UTC) #1
hanwenn
another try
4 years, 1 month ago (2015-03-14 14:52:23 UTC) #2
hanwenn
I don't think we have explicit test coverage for this, but not sure what it ...
4 years, 1 month ago (2015-03-14 14:53:37 UTC) #3
hanwenn
On 2015/03/14 14:53:37, hanwenn wrote: > I don't think we have explicit test coverage for ...
4 years ago (2015-03-24 11:37:26 UTC) #4
dak
https://codereview.appspot.com/214250043/diff/40001/lily/beam.cc File lily/beam.cc (right): https://codereview.appspot.com/214250043/diff/40001/lily/beam.cc#newcode127 lily/beam.cc:127: ? (2 * staff_space + line - beam_thickness/fract) / ...
4 years ago (2015-03-24 12:01:30 UTC) #5
dak
hanwenn@gmail.com writes: > On 2015/03/14 14:53:37, hanwenn wrote: >> I don't think we have explicit ...
4 years ago (2015-03-24 12:02:06 UTC) #6
pkx166h
On 2015/03/24 12:02:06, dak wrote: > mailto:hanwenn@gmail.com writes: > > > On 2015/03/14 14:53:37, hanwenn ...
4 years ago (2015-03-24 19:36:40 UTC) #7
pkx166h
Passes make, make check and a full make doc. Reg test diffs here: https://www.hightail.com/download/UlRRWGJIcVh5UkhIRHRVag
4 years ago (2015-03-24 23:03:32 UTC) #8
lemzwerg
Thanks for the test diffs. Looking at the regression tests, I see some degradations. . ...
4 years ago (2015-03-25 06:14:00 UTC) #9
hanwenn
On 2015/03/25 06:14:00, lemzwerg wrote: > Thanks for the test diffs. Looking at the regression ...
4 years ago (2015-04-06 22:20:24 UTC) #10
hanwenn
fix regression in grace-start.ly
4 years ago (2015-04-06 22:29:46 UTC) #11
hanwenn
fix regression in grace-start.ly
4 years ago (2015-04-06 22:30:03 UTC) #12
hanwenn
fix regression in grace-start.ly
4 years ago (2015-04-06 22:30:56 UTC) #13
hanwenn
fix regression
4 years ago (2015-04-06 22:33:18 UTC) #14
hanwenn
On 2015/04/06 22:33:18, hanwenn wrote: > fix regression PTAL. I fixed the grace-start issue. Are ...
4 years ago (2015-04-06 22:34:17 UTC) #15
pkx166h
On 2015/04/06 22:20:24, hanwenn wrote: > On 2015/03/25 06:14:00, lemzwerg wrote: > > Thanks for ...
4 years ago (2015-04-07 00:47:12 UTC) #16
pkx166h
Hanwen, Passes make, make check and a full make doc Reg test diffs here https://www.hightail.com/download/UlRRZUNxa0RCMTZybHNUQw ...
4 years ago (2015-04-07 01:36:56 UTC) #17
lemzwerg
Thanks again for the regtests. All my previous comments still hold, unfortunately.
4 years ago (2015-04-07 05:20:55 UTC) #18
pkx166h
This patch has been put back to 'needs work' based on Werner's comments above.
4 years ago (2015-04-09 12:12:10 UTC) #19
hanwenn
fix stem length regressions
3 years, 11 months ago (2015-05-10 22:49:27 UTC) #20
hanwenn
also handle length-fraction > 1
3 years, 11 months ago (2015-05-10 22:58:54 UTC) #21
hanwenn
On 2015/05/10 22:58:54, hanwenn wrote: > also handle length-fraction > 1 PTAL * I had ...
3 years, 11 months ago (2015-05-10 23:16:14 UTC) #22
lemzwerg
> * I had a further look at the short stems, and should have fixed ...
3 years, 11 months ago (2015-05-12 05:10:51 UTC) #23
pkx166h
Patch on countdown for May 16th
3 years, 11 months ago (2015-05-12 10:51:30 UTC) #24
pkx166h
Patch counted down - please push to Staging branch
3 years, 11 months ago (2015-05-16 06:41:45 UTC) #25
hanwenn
should I do this myself? On Sat, May 16, 2015 at 8:41 AM, <pkx166h@gmail.com> wrote: ...
3 years, 11 months ago (2015-05-17 09:09:59 UTC) #26
pkx166h
On 2015/05/17 09:09:59, hanwenn wrote: > should I do this myself? > > On Sat, ...
3 years, 11 months ago (2015-05-17 09:32:06 UTC) #27
pkx166h
Please push to staging (you'll need to rebase by now though)
3 years, 11 months ago (2015-05-22 06:57:33 UTC) #28
pkx166h
Patch counted down - please push
3 years, 11 months ago (2015-05-25 11:48:58 UTC) #29
hanwenn
3 years, 11 months ago (2015-05-26 07:24:14 UTC) #30
pushed to staging.

On Mon, May 25, 2015 at 1:48 PM,  <pkx166h@gmail.com> wrote:
> Patch counted down - please push
>
> https://codereview.appspot.com/214250043/



-- 
Han-Wen Nienhuys - hanwenn@gmail.com - http://www.xs4all.nl/~hanwen
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b